<?php

$thisfile = basename(__FILE__, ".php");
register_plugin(
    $thisfile, 
    'Collapsable pages (Backend)',     
    '0.1',         
    'andy-man',
    'http://get-simple.info/forums/showthread.php?tid=7361', 
    'Adds collapse/expand-functionality to page-list script by andy-man / plugin created by Carlos / added animation (good color for light-theme) by multicolor ',
    '',
    ''
);

add_action('footer', 'collapsable_pages');

function collapsable_pages() {
  if (basename($_SERVER['PHP_SELF']) == 'pages.php') {
?>
<style>
.pagetitle { position:relative; }
.l-1 .switch {left: 5px;}
.l-2 .switch {left: 25px;}
.l-3 .switch {left: 45px;}
.l-4 .switch {left: 65px;}
.switch {
  width: 15px;
  height: 15px;
  background: url('template/images/plus.png') no-repeat center center #000;filter:invert(100%);
  position: absolute;
  left: -15px;
  top:12px;
  border-radius:0px;
  cursor:pointer;
  transition:all 250ms ease;
}
.switch:hover {transform:rotate(360deg);}
.switch.on {background: url('template/images/minus.png') no-repeat center center #000;filter:invert(100%)}
.fadeIn{animation:fadeIn 500ms 1;transition:all 250ms linear;}
@keyframes{
	
	from{opacity:0;}
	to{opacity:1;}
}

</style>
<script>
$(document).ready(function(){
    $('#editpages tr').attr('rel',0).addClass('l-0');
    $('.pagetitle span').not('.showstatus').each(function(i,e){
        $tr = $(this).parent().parent();
        var level = $tr.find('.pagetitle span').not('.showstatus').size();
        $tr.attr('rel',level);
        $tr.attr('class','hidden l-'+level);
    });
    
    $('#editpages tr.hidden').each(function(i,e){
        if ( parseInt($(this).prev().attr('rel')) < parseInt($(this).attr('rel')) ) $(this).prev().find('.pagetitle').prepend('<div class="switch"></div>');
    });
    
    $('.pagetitle').on('click','.switch',function(){
        
        $tr = $(this).parent().parent();
        var lvl = parseInt($tr.attr('rel'));
        
        if ($(this).hasClass('on'))
        $tr.nextUntil('.l-'+lvl).addClass('hidden').find('.switch.on').removeClass('on');
        else
        $tr.nextUntil('.l-'+lvl,'.l-'+(lvl+1)).removeClass('hidden').addClass('fadeIn');
        
        $(this).toggleClass('on');
    });
});
</script>
<?php
  }
}
// end 